diff -ur linux/fs/adfs/namei.c linux-2.2.7-fast1/fs/adfs/namei.c
--- linux/fs/adfs/namei.c	Sat Apr 24 05:20:37 1999
+++ linux-2.2.7-fast1/fs/adfs/namei.c	Wed May  5 15:40:54 1999
@@ -46,7 +46,7 @@
 	unsigned long parent_object_id, dir_object_id;
 	int buffers, pos;
 
-	if (!dir || !S_ISDIR(dir->i_mode))
+	if (!S_ISDIR(dir->i_mode))
 		return 0;
 
 	sb = dir->i_sb;
diff -ur linux/fs/ext2/namei.c linux-2.2.7-fast1/fs/ext2/namei.c
--- linux/fs/ext2/namei.c	Sat Apr 24 05:20:37 1999
+++ linux-2.2.7-fast1/fs/ext2/namei.c	Wed May  5 15:44:41 1999
@@ -74,8 +74,6 @@
 	int block, toread, i, err;
 
 	*res_dir = NULL;
-	if (!dir)
-		return NULL;
 	sb = dir->i_sb;
 
 	if (namelen > EXT2_NAME_LEN)
diff -ur linux/fs/isofs/namei.c linux-2.2.7-fast1/fs/isofs/namei.c
--- linux/fs/isofs/namei.c	Sat Apr 24 05:20:38 1999
+++ linux-2.2.7-fast1/fs/isofs/namei.c	Wed May  5 15:46:31 1999
@@ -74,7 +74,6 @@
 	char c;
 
 	*ino = 0;
-	if (!dir) return NULL;
 	
 	if (!(block = dir->u.isofs_i.i_first_extent)) return NULL;
   
diff -ur linux/fs/minix/namei.c linux-2.2.7-fast1/fs/minix/namei.c
--- linux/fs/minix/namei.c	Sat Apr 24 05:20:38 1999
+++ linux-2.2.7-fast1/fs/minix/namei.c	Wed May  5 15:39:53 1999
@@ -45,7 +45,7 @@
 	struct minix_dir_entry *de;
 
 	*res_dir = NULL;
-	if (!dir || !dir->i_sb)
+	if (!dir->i_sb)
 		return NULL;
 	info = &dir->i_sb->u.minix_sb;
 	if (namelen > info->s_namelen) {
diff -ur linux/fs/qnx4/namei.c linux-2.2.7-fast1/fs/qnx4/namei.c
--- linux/fs/qnx4/namei.c	Sat Apr 24 05:20:38 1999
+++ linux-2.2.7-fast1/fs/qnx4/namei.c	Wed May  5 16:22:15 1999
@@ -70,12 +70,8 @@
 	struct buffer_head *bh;
 
 	*res_dir = NULL;
-	if (!dir || !dir->i_sb) {
-		if (!dir) {
-			printk("qnx4: NULL dir.\n");
-		} else {
-			printk("qnx4: no superblock on dir.\n");
-		}
+	if (!dir->i_sb) {
+		printk("qnx4: no superblock on dir.\n");
 		return NULL;
 	}
 	bh = NULL;
diff -ur linux/fs/sysv/namei.c linux-2.2.7-fast1/fs/sysv/namei.c
--- linux/fs/sysv/namei.c	Sat Apr 24 05:20:38 1999
+++ linux-2.2.7-fast1/fs/sysv/namei.c	Wed May  5 16:20:46 1999
@@ -67,8 +67,6 @@
 	struct buffer_head * bh;
 
 	*res_dir = NULL;
-	if (!dir)
-		return NULL;
 	sb = dir->i_sb;
 	if (namelen > SYSV_NAMELEN) {
 		if (sb->sv_truncate)
diff -ur linux/fs/ufs/namei.c linux-2.2.7-fast1/fs/ufs/namei.c
--- linux/fs/ufs/namei.c	Sat Apr 24 05:20:38 1999
+++ linux-2.2.7-fast1/fs/ufs/namei.c	Wed May  5 16:21:33 1999
@@ -91,8 +91,6 @@
 	UFSD(("ENTER, dir_ino %lu, name %s, namlen %u\n", dir->i_ino, name, namelen))
 	
 	*res_dir = NULL;
-	if (!dir) 
-		return NULL;
 	
 	sb = dir->i_sb;
 	flags = sb->u.ufs_sb.s_flags;
